Results 1 to 5 of 5

Thread: Conflicts b/w Packman packages and openSUSE update packages

  1. #1
    Join Date
    Sep 2008
    Location
    Bangalore, India
    Posts
    70

    Default Conflicts b/w Packman packages and openSUSE update packages

    I have currently enabled openSUSE OSS, NON-OSS, Updates, Packman and KDE Factory repositories.

    As an example I have kaffeine-0.8.6 installed.

    Code:
    rpm -qi kaffeine
    Name        : kaffeine                     Relocations: (not relocatable)
    Version     : 0.8.6                             Vendor: SUSE LINUX Products GmbH, Nuernberg, Germany                                                                                      
    Release     : 54.1                          Build Date: Sat 07 Jun 2008 08:06:23 AM IST      
    Install Date: Tue 10 Jun 2008 05:56:06 PM IST      Build Host: alsa2.suse.de                 
    Group       : Productivity/Multimedia/Video/Players   Source RPM: kaffeine-0.8.6-54.1.src.rpm
    Size        : 2562824                          License: GPL v2 or later
    Signature   : DSA/SHA1, Sat 07 Jun 2008 08:14:03 AM IST, Key ID a84edae89c800aca
    Packager    : http://bugs.opensuse.org
    URL         : http://kaffeine.sourceforge.net/
    Summary     : Xine-Based Multimedia Player
    But there is an update for Kaffeine from the Packman repository

    Code:
    sudo zypper lu -t package              
    Reading installed packages...                               
    S | Repository                  | Name                              | Version                   | Arch  
    --+-----------------------------+-----------------------------------+---------------------------+-------
    v | Packman Repository          | audacity                          | 1.3.5-0.pm.3              | i586  
    v | Packman Repository          | blender                           | 2.47-0.pm.7               | i586  
    v | Packman Repository          | brasero                           | 0.8.1-0.pm.1              | i586  
    v | Packman Repository          | dejavu                            | 2.26-0.pm.1               | noarch
    v | Packman Repository          | dvb                               | 1.1.0_CVS20080331-20.pm.1 | i586  
    v | Packman Repository          | gstreamer-0_10                    | 0.10.20-42.pm.1           | i586  
    v | Packman Repository          | gstreamer-0_10-devel              | 0.10.20-42.pm.1           | i586  
    v | Packman Repository          | gstreamer-0_10-doc                | 0.10.20-42.pm.1           | i586  
    v | Packman Repository          | gstreamer-0_10-plugins-base       | 0.10.20-42.pm.1           | i586  
    v | Packman Repository          | gstreamer-0_10-plugins-base-devel | 0.10.20-42.pm.1           | i586  
    v | Packman Repository          | gstreamer-0_10-plugins-good       | 0.10.10-42.pm.1           | i586  
    v | Packman Repository          | gstreamer-0_10-plugins-good-extra | 0.10.10-42.pm.1           | i586
    v | Packman Repository          | gstreamer-0_10-pulse              | 0.9.7-42.pm.1             | i586
    v | Packman Repository          | kaffeine                          | 0.8.7-0.pm.1              | i586
    v | Packman Repository          | kaffeine-gstreamer                | 0.8.7-0.pm.1              | i586
    Now since there is a change in the "Vendor" of the installed packages and the update package that is available, zypper is un-able to update Kaffeine(there are other such packages)

    Code:
    sudo zypper up -t package
    Reading installed packages...
    Nothing to do.
    After all the boring information provided above, let me get to my questions

    1) Is it safe to consume update ignoring the fact that the installed package and the update package is from different repositories? Will it break anything?

    2) Is there a way to update all these packages at once using command line zypper? Currently I can do that by manually resolving the conflict by running "sudo zypper up -t package <package_name>". But can I do it all at once?

    - Thejaswi Raya

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Conflicts b/w Packman packages and openSUSE update packa

    You should be using kaffeine from Packman anyway! In fact all your mult-media should be packman.
    Only libdvdcss will be from vlc, even vlc player should be from packman
    change vendor!
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Sep 2008
    Location
    Bangalore, India
    Posts
    70

    Default Re: Conflicts b/w Packman packages and openSUSE update packa

    Thanks caf4926 for the reply. I will consume the updates from PackMan.

    Also what about using zypper to consume all such updates? Like I mentioned "sudo zypper up -t package" doesnt work. I can consume the updates in YaST, but I anyday prefer command line over GUI.

    - Thejaswi Raya

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Conflicts b/w Packman packages and openSUSE update packa

    zypper info here:
    Zypper/Usage/11.0 - openSUSE
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5
    Join Date
    Sep 2008
    Location
    Bangalore, India
    Posts
    70

    Default Re: Conflicts b/w Packman packages and openSUSE update packa

    I had already gone through the man pages and also the online zypper usage page. It doesnt have what I am looking for. Anyways, I will have to use the GUI(YaST) only for this corner case. That should be fine, wont break my head too much on this. But thanks for the help.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •